Skip to content
GuidesPlaygroundDashboard

Calculate an isochrone from a point

GET/api/v1/isochrone

Calculate an isochrone from a point

Query ParametersExpand Collapse
lat: number

Latitude

lng: number

Longitude

time: number

Travel time in seconds (1-7200)

mode: optional string

Travel mode (auto, foot, bicycle)

ReturnsExpand Collapse
GeoJsonFeature = object { geometry, properties, type, 2 more }
geometry: GeoJsonGeometry { coordinates, type }
coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
array of number
array of array of number
array of array of array of number
array of array of array of array of number
type: "Point" or "LineString" or "Polygon" or 3 more
One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: map[unknown]
type: "Feature"
id: optional string

Feature identifier (type/osm_id)

osm_id: optional number

OpenStreetMap ID

Calculate an isochrone from a point

curl https://plaza.fyi/api/v1/isochrone \
    -H "Authorization: Bearer $PLAZA_API_KEY"
Returns Examples